Subject: Re: PATCH powerpc: 00/04 Remove __pmac, etc, sections, merge sections.h

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 19 Sep 2005 08:13:16 +1000

> I think the discussion earlier in this week lead us to believe this  
> was the way to go.  We can provide a simple patch to allow selecting  
> CHRP/PMAC/PREP specifically in addition to MUTLIPLATFORM.

It should be done like ppc64, that is MULTIPLATFORM can be built with an
aribtrary "set" of platforms. In fact, I think the merged arch should
trash if possible all "exclusive" CONFIG_MYBOARD stuff, but only ever do
what ppc64 does, that is any combination of platforms for the same CPU
family can be built at the same time.

Ben.